﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="DeclarationMandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Lodge DeclarationMandatories Validations</title>


<rule context="xbrli:xbrl[not(@i:nil = 'true' or @i:nil = '1')]">
<!--
          NEW VERSION
          WHERE INTERACTION (lodge.request)
          IF (INT=NULLORBLANK AND RP:pyin.xx.xx:Declaration.SignatoryIdentifier.Text = NULLORBLANK) 
          OR (INT<>NULLORBLANK AND INT:pyin.xx.xx:Declaration.SignatoryIdentifier.Text = NULLORBLANK)
          RETURN VALIDATION MESSAGE
          ENDIF
        -->


<assert  id="VR.ATO.FBT.000456" diagnostics="DVR.ATO.FBT.000456" subject="pyin.02.00:Declaration.SignatoryIdentifier.Text" test="not((count(xbrli:context[@id=$Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0 
                        and (string-length(declaration1.02.01:Declaration/pyin.02.00:Declaration.SignatoryIdentifier.Text[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0
                        or count(declaration1.02.01:Declaration/pyin.02.00:Declaration.SignatoryIdentifier.Text[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0))
                        or(count(xbrli:context[@id=$Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0 
                        and (string-length(declaration1.02.01:Declaration/pyin.02.00:Declaration.SignatoryIdentifier.Text[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0
                        or count(declaration1.02.01:Declaration/pyin.02.00:Declaration.SignatoryIdentifier.Text[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0)))">Both  Employer Signatory Identifier Text and Tax Agent Signatory Identifier Text are not provided. Either of these is required</assert>
<!--
            WHERE INTERACTION (lodge.request)
            IF (INT=NULLORBLANK AND RP:pyin.xx.xx:Declaration.Signature.Date = NULLORBLANK) 
            OR (INT<>NULLORBLANK AND INT:pyin.xx.xx:Declaration.Signature.Date = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.FBT.000458" diagnostics="DVR.ATO.FBT.000458" subject="pyin.02.00:Declaration.Signature.Date" test="not((
                                count(xbrli:context[@id=$Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0 
                                and count(declaration1.02.01:Declaration/pyin.02.00:Declaration.Signature.Date
                                            [@contextRef=$RP.ContextId
                                            and not(@i:nil = 'true' or @i:nil = '1')
                                            and string-length(normalize-space(.)) != 0 ])=0
                            )
                            or
                            (
                                count(xbrli:context[@id=$Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 
                                and count(declaration1.02.01:Declaration/pyin.02.00:Declaration.Signature.Date
                                            [@contextRef=$Int.ContextId
                                            and not(@i:nil = 'true' or @i:nil = '1')
                                            and string-length(normalize-space(.)) != 0 ])=0
                            ))"></assert>
<!--
          NEW VERSION
          WHERE INTERACTION (lodge.request)
          IF (INT=NULLORBLANK AND RP:pyin.xx.xx:Declaration.StatementType.Code <> "TrueAndCorrect") 
          OR (INT<>NULLORBLANK AND INT:pyin.xx.xx:Declaration.StatementType.Code <> "TrueAndCorrect" )
          RETURN VALIDATION MESSAGE
          ENDIF
      -->


<assert  id="VR.ATO.FBT.000460" diagnostics="DVR.ATO.FBT.000460" subject="pyin.02.03:Declaration.StatementType.Code" test="not((count(xbrli:context[@id=$Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0 and declaration1.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] != 'TrueAndCorrect')
                          or(count(xbrli:context[@id=$Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 and declaration1.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1')] != 'TrueAndCorrect'))">Both Employer declaration statement type code and Tax Agent declaration statement type code are invalid. Either of these must be "TrueAndCorrect"</assert>
</rule>
</pattern>