﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="PersonUnstructuredNameContent" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Lodge PersonUnstructuredNameContent Validations</title>


<rule context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil = 'true' or @i:nil = '1')]">
<!--
            Rule ID: VR.ATO.GEN.408010
        
            WHERE IN TUPLE(personunstructuredname1.xx.xx:PersonUnstructuredName)
            IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS "" - "")
               RETURN VALIDATION MESSAGE
            ENDIF

        -->


<assert  id="VR.ATO.GEN.408010" diagnostics="DVR.ATO.GEN.408010" test="not (
                        contains(pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')and (string-length(normalize-space(.)) != 0)]/text(), ' - ') 
                       )"></assert>
<!--
            Rule ID: VR.ATO.GEN.000243
        
            WHERE IN TUPLE(personunstructuredname1.xx.xx:PersonUnstructuredName)
            IF pyde.xx.xx:PersonUnstructuredName.Usage.Code = NULLORBLANK 
                OR pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
            

        -->


<assert  id="VR.ATO.GEN.000243" diagnostics="DVR.ATO.GEN.000243" test="not(
                        not(pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        or
                        not(pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                    )"></assert>
<!--
            Rule ID: VR.ATO.FBT.000454
        
            IF (INT:pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK)
            AND (INT:pyde.xx.xx:PersonUnstructuredName.Usage.Code <> “Contact”)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.FBT.000454" diagnostics="DVR.ATO.FBT.000454" test="not(                        
                        pyde.02.00:PersonUnstructuredName.FullName.Text
                            [@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1') and string-length(normalize-space(.)) != 0]
                        and 
                        not(pyde.02.05:PersonUnstructuredName.Usage.Code
                            [@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1') and .= 'Contact'])
                        )"></assert>
<!--
            Rule ID: VR.ATO.FBT.000455
        
		    IF (INT:pyde.xx.xx:PersonUnstructuredName.Usage.Code <> NULLORBLANK)
            AND (INT:pyde.xx.xx:PersonUnstructuredName.Usage.Code <> "Contact")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.FBT.000455" diagnostics="DVR.ATO.FBT.000455" subject="pyde.02.05:PersonUnstructuredName.Usage.Code" test="not(pyde.02.05:PersonUnstructuredName.Usage.Code[@contextRef = $Int.ContextId and not(@i:nil = 'true' or @i:nil = '1') and string-length(normalize-space(.)) != 0 and . != 'Contact' ])"></assert>
</rule>
</pattern>